/**
 * 实时诊断作用域
 */
export enum ActionScopeEnum {
	// 最近
	Last = 0,
	// 所有
	All = 1,
}

export const actionScopeMap = {
	[ActionScopeEnum.Last]: '最近',
	[ActionScopeEnum.All]: '所有',
};

/**阈值方向 */
export enum ThresholdDirectionEnum {
	Up = 1,
	Down = 2,
}

export const thresholdDirectionMap = {
	[ThresholdDirectionEnum.Up]: '向上',
	[ThresholdDirectionEnum.Down]: '向下',
};

export enum DiagnosisWay {
	Auto = 0,
	Manual = 1,
}

export const diagnosisWayMap = {
	[DiagnosisWay.Auto]: '自动诊断',
	[DiagnosisWay.Manual]: '人工诊断',
} as const;

// 诊断报告生成方式
export enum SourceWay {
	Auto = 0,
	Online = 1,
	Predict = 2,
}

export const sourceWayMap = {
	[SourceWay.Auto]: '实时诊断',
	[SourceWay.Online]: '人工诊断',
	[SourceWay.Predict]: '预测诊断',
} as const;

export enum VersionStatusEnum {
	UnDesign = -1,
	Unpublished = 0,
	Published = 1,
	Deprecated = 2,
}

export const versionStatusMap = {
	[VersionStatusEnum.UnDesign]:'未设计',
	[VersionStatusEnum.Published]: '已发布',
	[VersionStatusEnum.Deprecated]: '已弃用',
	[VersionStatusEnum.Unpublished]: '未发布',
} as const;

export enum DiagnosisMode {
	Diagnosis = 0,
	Default = 1,
}

export const diagnosisModeMap = {
	[DiagnosisMode.Default]: '缺省',
	[DiagnosisMode.Diagnosis]: '诊断',
};
